## Interface Swift_Plugins_Logger

(line 17)

## Description

Located in File: /vendors/swiftMailer/classes/Swift/Plugins/Logger.php

##### Logs events in the Transport system.

- author: - Chris Corbyn

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
void add (string $entry)
void clear ()
string dump ()

#### Method add (line 24)

#### void add( string $entry)

##### Add a log entry.

#### Parameters

- string $entry:

#### Info

- access - public

#### Method clear (line 29)

#### void clear( )

##### Clear the log contents.

#### Info

- access - public

#### Method dump (line 35)

#### string dump( )

##### Get this log as a string.

#### Info

- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

Documentation generated on Fri, 12 Nov 2010 20:45:24 +0000 by phpDocumentor 1.4.3